Bug 1152247 - Review Request: options - Library for managing sets of JVM properties to configure an app or library
Summary: Review Request: options - Library for managing sets of JVM properties to conf...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1152249
TreeView+ depends on / blocked
 
Reported: 2014-10-13 17:24 UTC by Mo Morsi
Modified: 2015-02-24 11:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-24 11:58:33 UTC
msimacek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mo Morsi 2014-10-13 17:24:34 UTC
Spec URL: https://mmorsi.fedorapeople.org/staging/options.spec
SRPM URL: https://mmorsi.fedorapeople.org/staging/options-1.2-1.fc20.src.rpm
Description: 
Provides a simple mechanism for defining JVM property-based
configuration for an application or library.

Fedora Account System Username: mmorsi

Comment 1 Michael Simacek 2014-10-14 15:41:39 UTC
Package Review
==============

Issues:
- ASL 2.0 license requires the license text to be included in the RPM
- Incorrect changelog format (missing version-release)
- Group tag is obsolete, please don't use it

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* Apache (v2.0)". Detailed output of licensecheck in
     /home/msimacek/1152247-options/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-poms/options, /usr/share/maven-
     metadata
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-poms/options,
     /usr/share/maven-metadata
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in options-
     javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: options-1.2-1.fc22.noarch.rpm
          options-javadoc-1.2-1.fc22.noarch.rpm
          options-1.2-1.fc22.src.rpm
options.noarch: W: incoherent-version-in-changelog - ['1.2-1.fc22', '1.2-1']
options.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint options-javadoc options
options.noarch: W: incoherent-version-in-changelog - ['1.2-1.fc22', '1.2-1']
options.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
options-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

options (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils



Provides
--------
options-javadoc:
    options-javadoc

options:
    mvn(com.headius:options)
    mvn(com.headius:options:pom:)
    options



Source checksums
----------------
https://github.com/headius/options/archive/options-1.2.zip :
  CHECKSUM(SHA256) this package     : aa6d12b228176a90a1081e90bd235f8dea40a5be708f73dc4e664acced5659da
  CHECKSUM(SHA256) upstream package : aa6d12b228176a90a1081e90bd235f8dea40a5be708f73dc4e664acced5659da


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1152247
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Mo Morsi 2014-10-14 18:02:24 UTC
Thanks for review

(In reply to Michael Simacek from comment #1)
> Package Review
> ==============
> 
> Issues:
> - ASL 2.0 license requires the license text to be included in the RPM
> - Incorrect changelog format (missing version-release)
> - Group tag is obsolete, please don't use it

Fixed.

https://github.com/headius/options/issues/1

Spec URL: https://mmorsi.fedorapeople.org/staging/options.spec
SRPM URL: https://mmorsi.fedorapeople.org/staging/options-1.2-2.fc20.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7864863

Comment 3 Michael Simacek 2014-11-17 13:12:20 UTC
I missed the comment, sorry for blocking this.
The license file is now only installed in the javadoc subpackage but it's missing from the main package. And it should be marked as %doc in both.

Comment 4 Mo Morsi 2014-12-03 18:52:13 UTC
Included the license file in the main package and marked as %doc (including it in both would result in conflicts wouldn't it?). Updated:

Spec: https://mmorsi.fedorapeople.org/staging/options.spec
SRPM: https://mmorsi.fedorapeople.org/staging/options-1.2-2.fc20.src.rpm
Koji: koji.fedoraproject.org/koji/taskinfo?taskID=8287262

joda-timezones (bz #1152246) has also been updated if you have the cycles. Thanks.

Comment 6 Michael Simacek 2014-12-05 08:33:46 UTC
(In reply to Mo Morsi from comment #4)
> Included the license file in the main package and marked as %doc (including
> it in both would result in conflicts wouldn't it?
If you use the %doc directive correctly, it certainly wouldn't as it installs it into directory named after the package. The correct usage would be not moving it in install - %doc paths are relative to the builddir (the directory where sources are unpacked), so it's unnecessary. So remove the mv line and just add:
%doc LICENSE-2.0.txt
to both %files sections and it should work. And I just noticed you have group tag in the javadoc subpackage, please remove it.

Comment 8 Michael Simacek 2014-12-09 08:11:20 UTC
Looks ok to me now. APPROVED

Comment 9 Mo Morsi 2014-12-09 19:14:08 UTC
Thanks for review

New Package SCM Request
=======================
Package Name: options
Short Description: Library for managing sets of JVM properties to configure an app or library
Upstream URL: https://github.com/headius/options
Owners: mmorsi
Branches: f20 f21
InitialCC:

Comment 10 Gwyn Ciesla 2014-12-10 15:07:43 UTC
Git done (by process-git-requests).

Comment 11 Michael Simacek 2015-02-24 11:58:33 UTC
I see that it's been built already as options-1.2-4.fc22.


Note You need to log in before you can comment on or make changes to this bug.